package com.wuban.tron.explore.service.impl;

import com.wuban.tron.explore.BaseTest;
import com.wuban.tron.explore.domain.TronTransEvent;
import com.wuban.tron.explore.service.ContractEventService;
import com.wuban.tron.explore.service.TronService;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

import static org.junit.jupiter.api.Assertions.*;

class ContractEventServiceImplTest extends BaseTest {

    @Autowired
    private TronService tronService;

    @Autowired
    private ContractEventService contractEventService;

    @BeforeEach
    void setUp() {
    }

    @Test
    void insert() {
    }

    @Test
    void batchInsert() {
        List<TronTransEvent> data = this.tronService.getContractEvent("TMypW2w7P2y8QzV8i9BAE31yzQukp63tbo");
        this.contractEventService.batchInsert(data);
    }

}